#Plot chart with two lines
# www.Tricks12345.com
import matplotlib.pyplot as plt
filename = open('chartdata.txt', 'r')
item = list() ; first = list(); second = list()
for line in filename:
  if not line.startswith('item'):
    line = line.rstrip()
    words = line.split(',')
    item.append(words[0])
    first.append(int(words[5]))
    second.append(int(words[3]))
  else:
    words = line.split(',')
    firstlabel = words[5]; secondlabel = words[3]
plt.plot(item, first, label = firstlabel, color = 'red', linewidth = 5, \
         marker = 'o', markerfacecolor = 'blue', markersize = 11)
plt.plot(item, second, label = secondlabel, color = 'blue', linewidth = 5, \
         marker = 'o', markerfacecolor = 'red', markersize = 11)
plt.xlabel("Item"); plt.ylabel("Sales") 
plt.title(firstlabel +'  and  ' + secondlabel +  '  Sales data')
plt.legend(loc = 'upper right')
plt.show()

